data:extend({
  {
    type = "energy-shield-equipment",
    name = "energy-shield-mk3-equipment",
    sprite =
    {
      filename = "__Shield-Modules__/graphics/equipment/energy-shield-mk3-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    max_shield_value = 250,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "24kJ",
      input_flow_limit = "48kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "4kJ"
  },
    {
    type = "energy-shield-equipment",
    name = "energy-shield-mk4-equipment",
    sprite =
    {
      filename = "__Shield-Modules__/graphics/equipment/energy-shield-mk4-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    max_shield_value = 500,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "30kJ",
      input_flow_limit = "60kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "5kJ"
  }
})